• 欢迎访问金刀客博客!
  • 恭喜成功换成wp博客系统

【原创文章】安装lanmp_v3失败的可能原因及更新网站openssl的正确方法

原创天空 admin 1220次浏览 0个评论

这几天需要重装系统,按照wdcp v3的要求, 如果需要php5.2或者5.3的话,系统需要是centos 6.X或者centos 5.X,基于这个原因,安装了centos 6.9.

然后屁颠屁颠的去安装lanmp_v3,当安装到mysql的时候就提示Install Error: mysql make err

Please submit a full bug report.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[2]: *** [sql/CMakeFiles/sql.dir/sql_select.cc.o] Error 1
make[1]: *** [sql/CMakeFiles/sql.dir/all] Error 2
make: *** [all] Error 2


i686
CentOS release 6.9 (Final)
----Install Error: mysql make err -----------

然后各种问题,来来回回折腾好多次,开始我还以为lanmp v3不能在centos 6.9安装,然后仔细看了日志,发现了一个文件存在”permission denied“的错误提示,我马上意识到可能权限不够,再一看路径,我竟然是下载到/tmp这个目录下安装的。

把lanmp_v3.tar.gz mv到/root,一切问题都没有了,顺利安装了整个系统,小计一下,作为教训。

另外小计一个事情,现在很多网站都需要https证书了,但是使得这个证书合格的关键是服务器的ssl版本要是最新的,需要已经修复了存在的漏洞,不然在ssl检测时候,就会提示不合格。这里有一个注意点是仅仅升级系统的openssl版本到最新是没有用的,因为你编译的php环境还是在使用旧版本的openssl,这里需要重新编译php环境,问题就解决了,而不是什么升级nginx,与他半毛钱关系都没有,通过phpinfo,如果openssl已经是最新版,那么ssl证书检测就会合格了。


金刀客博客 , 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明【原创文章】安装lanmp_v3失败的可能原因及更新网站openssl的正确方法
喜欢 (4)

您必须 登录 才能发表评论!